$breakpoints: (
  'sm': 576px,
  'md': 768px,
  'lg': 992px,
  'xl': 1200px,
  'xxl': 1400px
);

:root {
  --bs-breakpoint-sm: 576px;
  --bs-breakpoint-md: 768px;
  --bs-breakpoint-lg: 992px;
  --bs-breakpoint-xl: 1200px;
  --bs-breakpoint-xxl: 1400px;
}

@mixin sm {
  @media (min-width: map-get($breakpoints, 'sm')) {
    @content;
  }
}

@mixin untilSm {
  @media (max-width: map-get($breakpoints, 'sm')) {
    @content;
  }
}

@mixin md {
  @media (min-width: map-get($breakpoints, 'md')) {
    @content;
  }
}

@mixin untilMd {
  @media (max-width: map-get($breakpoints, 'md')) {
    @content;
  }
}

@mixin lg {
  @media (min-width: map-get($breakpoints, 'lg')) {
    @content;
  }
}

@mixin untilLg {
  @media (max-width: map-get($breakpoints, 'lg')) {
    @content;
  }
}

@mixin xl {
  @media (min-width: map-get($breakpoints, 'xl')) {
    @content;
  }
}

@mixin untilXl {
  @media (max-width: map-get($breakpoints, 'xl')) {
    @content;
  }
}

@mixin xxl {
  @media (min-width: map-get($breakpoints, 'xxl')) {
    @content;
  }
}

@mixin untilXxl {
  @media (max-width: map-get($breakpoints, 'xxl')) {
    @content;
  }
}
